Skip to content

Retrieve the types of SCIM resources available. Each resource type defines the endpoints, the core schema URI that defines the resource, and any supported schema extensions.

GET/api/{version}/scim/v2/ResourceTypes
NameDescription
Acceptapplication/json (default) or application/scim+json
curl -X GET -H "Authorization: {SESSION_ID}" \ https://veepharm.com/api/v19.2/scim/v2/ResourceTypes
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 4, "Resources": [ { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ResourceType" ], "id": "User", "name": "User", "description": "User Account", "endpoint": "/Users", "schema": "urn:ietf:params:scim:schemas:core:2.0:User", "schemaExtensions": [ { "schema": "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User", "required": true }, { "schema": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User", "required": false } ], "meta": { "resourceType": "Resource Type", "location": "https://promomats-template.vaultdev.com/api/v19.2/scim/v2/ResourceTypes/User" } }, { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ResourceType" ], "id": "SecurityProfile", "name": "SecurityProfile", "description": "Security Profile", "endpoint": "/SecurityProfiles", "schema": "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile", "meta": { "resourceType": "Resource Type", "location": "https://promomats-template.vaultdev.com/api/v19.2/scim/v2/ResourceTypes/SecurityProfile" } }